### Function

# Dex input_stream_read

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_input_stream_read (
      GInputStream* self,
      gpointer buffer,
      gsize count,
      int io_priority
    )

#### Description

No description available.

Available since: 1

#### Parameters

`self`

  Type: `GInputStream`

  No description available.

  The data is owned by the caller of the function.

`buffer`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.